SDL_wave.h File Reference
`#include "../SDL_internal.h"`
Include dependency graph for SDL_wave.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | WaveFormat
struct | WaveFact
struct | WaveChunk
struct | WaveFile

## Macros

#define | RIFF 0x46464952 /* "RIFF" */
#define | WAVE 0x45564157 /* "WAVE" */
#define | FACT 0x74636166 /* "fact" */
#define | LIST 0x5453494c /* "LIST" */
#define | BEXT 0x74786562 /* "bext" */
#define | JUNK 0x4B4E554A /* "JUNK" */
#define | FMT 0x20746D66 /* "fmt " */
#define | DATA 0x61746164 /* "data" */
#define | UNKNOWN_CODE 0x0000
#define | PCM_CODE 0x0001
#define | MS_ADPCM_CODE 0x0002
#define | IEEE_FLOAT_CODE 0x0003
#define | ALAW_CODE 0x0006
#define | MULAW_CODE 0x0007
#define | IMA_ADPCM_CODE 0x0011
#define | MPEG_CODE 0x0050
#define | MPEGLAYER3_CODE 0x0055
#define | EXTENSIBLE_CODE 0xFFFE

## Enumerations

enum | WaveRiffSizeHint { RiffSizeNoHint, RiffSizeForce, RiffSizeIgnoreZero, RiffSizeIgnore, RiffSizeMaximum }
enum | WaveTruncationHint { TruncNoHint, TruncVeryStrict, TruncStrict, TruncDropFrame, TruncDropBlock }
enum | WaveFactChunkHint { FactNoHint, FactTruncate, FactStrict, FactIgnoreZero, FactIgnore }

## Macro Definition Documentation

## ALAW_CODE

#define ALAW_CODE 0x0006

Definition at line 42 of file SDL_wave.h.

## BEXT

#define BEXT 0x74786562 /* "bext" */

Definition at line 33 of file SDL_wave.h.

## DATA

#define DATA 0x61746164 /* "data" */

Definition at line 36 of file SDL_wave.h.

## EXTENSIBLE_CODE

#define EXTENSIBLE_CODE 0xFFFE

Definition at line 47 of file SDL_wave.h.

## FACT

#define FACT 0x74636166 /* "fact" */

Definition at line 31 of file SDL_wave.h.

## FMT

#define FMT 0x20746D66 /* "fmt " */

Definition at line 35 of file SDL_wave.h.

## IEEE_FLOAT_CODE

#define IEEE_FLOAT_CODE 0x0003

Definition at line 41 of file SDL_wave.h.

## IMA_ADPCM_CODE

#define IMA_ADPCM_CODE 0x0011

Definition at line 44 of file SDL_wave.h.

## JUNK

#define JUNK 0x4B4E554A /* "JUNK" */

Definition at line 34 of file SDL_wave.h.

## LIST

#define LIST 0x5453494c /* "LIST" */

Definition at line 32 of file SDL_wave.h.

## MPEG_CODE

#define MPEG_CODE 0x0050

Definition at line 45 of file SDL_wave.h.

## MPEGLAYER3_CODE

#define MPEGLAYER3_CODE 0x0055

Definition at line 46 of file SDL_wave.h.

## MS_ADPCM_CODE

#define MS_ADPCM_CODE 0x0002

Definition at line 40 of file SDL_wave.h.

## MULAW_CODE

#define MULAW_CODE 0x0007

Definition at line 43 of file SDL_wave.h.

## PCM_CODE

#define PCM_CODE 0x0001

Definition at line 39 of file SDL_wave.h.

## RIFF

#define RIFF 0x46464952 /* "RIFF" */

Definition at line 29 of file SDL_wave.h.

## UNKNOWN_CODE

#define UNKNOWN_CODE 0x0000

Definition at line 38 of file SDL_wave.h.

## WAVE

#define WAVE 0x45564157 /* "WAVE" */

Definition at line 30 of file SDL_wave.h.

## Enumeration Type Documentation

## WaveFactChunkHint

enum WaveFactChunkHint

Enumerator
FactNoHint |
FactTruncate |
FactStrict |
FactIgnoreZero |
FactIgnore |

Definition at line 122 of file SDL_wave.h.

{
FactNoHint,
FactTruncate,
FactStrict,
FactIgnoreZero,
FactIgnore
} WaveFactChunkHint;

## WaveRiffSizeHint

enum WaveRiffSizeHint

Enumerator
RiffSizeNoHint |
RiffSizeForce |
RiffSizeIgnoreZero |
RiffSizeIgnore |
RiffSizeMaximum |

Definition at line 104 of file SDL_wave.h.

{
RiffSizeNoHint,
RiffSizeForce,
RiffSizeIgnoreZero,
RiffSizeIgnore,
RiffSizeMaximum
} WaveRiffSizeHint;

## WaveTruncationHint

enum WaveTruncationHint

Enumerator
TruncNoHint |
TruncVeryStrict |
TruncStrict |
TruncDropFrame |
TruncDropBlock |

Definition at line 113 of file SDL_wave.h.

{
TruncNoHint,
TruncVeryStrict,
TruncStrict,
TruncDropFrame,
TruncDropBlock
} WaveTruncationHint;
TruncVeryStrict
@ TruncVeryStrict
Definition: SDL_wave.h:115
TruncNoHint
@ TruncNoHint
Definition: SDL_wave.h:114
WaveTruncationHint
WaveTruncationHint
Definition: SDL_wave.h:113
RiffSizeForce
@ RiffSizeForce
Definition: SDL_wave.h:106
WaveRiffSizeHint
WaveRiffSizeHint
Definition: SDL_wave.h:104
RiffSizeNoHint
@ RiffSizeNoHint
Definition: SDL_wave.h:105
RiffSizeIgnore
@ RiffSizeIgnore
Definition: SDL_wave.h:108
FactTruncate
@ FactTruncate
Definition: SDL_wave.h:124
TruncDropFrame
@ TruncDropFrame
Definition: SDL_wave.h:117
FactStrict
@ FactStrict
Definition: SDL_wave.h:125
WaveFactChunkHint
WaveFactChunkHint
Definition: SDL_wave.h:122
FactIgnoreZero
@ FactIgnoreZero
Definition: SDL_wave.h:126
FactIgnore
@ FactIgnore
Definition: SDL_wave.h:127
RiffSizeIgnoreZero
@ RiffSizeIgnoreZero
Definition: SDL_wave.h:107
TruncDropBlock
@ TruncDropBlock
Definition: SDL_wave.h:118
FactNoHint
@ FactNoHint
Definition: SDL_wave.h:123
TruncStrict
@ TruncStrict
Definition: SDL_wave.h:116
RiffSizeMaximum
@ RiffSizeMaximum
Definition: SDL_wave.h:109